curl_multi_select
curl_multi_strerror
Fonctions cURL
PHP Manual

# curl_multi_setopt

(PHP 5 >= 5.5.0)

curl_multi_setopt — Définit une option pour le gestionnaire multiple cURL

### Description

bool curl_multi_setopt ( resource `$mh` , int `$option` , mixed `$value` )

Avertissement

Cette fonction n'est pas documentée et seule la liste des arguments est disponible.

### Liste de paramètres

`mh`

`option`

  Une des constantes `CURLMOPT_*`.

`value`

  La valeur à définir pour le paramètre `option`.

  `value` doit être un int pour les valeurs suivantes du paramètres `option` :

  Option | Définit le paramètre `value` à
  --- | ---

  `CURLMOPT_PIPELINING`

  1 pour activer, 0 pour désactiver. L'activation du pipelining sur un gestionnaire multiple va faire qu'il va tenter de réaliser un pipelining HTTP autant que possible pour les transferts utilisant ce gestionnaire. Cela signifie que, si vous ajouter un second gestionnaire qui peut utiliser une connexion existante, la seconde demande sera "pipé" sur la même connexion plutôt que d'être exécutée en parallèle.

  `CURLMOPT_MAXCONNECTS` | Nombre maximal de connexions ouvertes simultanément que libcurl peut mettre en cache. Par défaut, vaut 10. Lorsque le cache est complet, curl ferme la plus ancienne connexion du cache, afin d'éviter que le nombre de connexions ouvertes n'augmente.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

curl_multi_select
curl_multi_strerror
Fonctions cURL
PHP Manual